"use strict";
(function ($) {
    $.field_roomtype = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.list-room-type').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_roomtype = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_roomtype')) {
                var plugin = new $.field_roomtype(this, options);
                $(this).data('field_roomtype', plugin);
            }
        });
    }
})(jQuery);